Bug 116958 - Lomboz: Error when deploying EJBs to Jonas
Summary: Lomboz: Error when deploying EJBs to Jonas
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: Lomboz   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Handcock
QA Contact: eclipse-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-26 20:17 UTC by Jeremy Handcock
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-30 16:47:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.log trace (3.01 KB, text/plain)
2004-02-26 20:19 UTC, Jeremy Handcock
no flags Details
natDeflater patch (615 bytes, patch)
2004-06-29 14:31 UTC, Jeremy Handcock
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:365 high SHIPPED_LIVE Updated eclipse packages 2004-09-02 04:00:00 UTC

Description Jeremy Handcock 2004-02-26 20:17:00 UTC
Description of problem: java.lang.InternalError when attempting to
deploy EJBs to Jonas using Lomboz.

How reproducible:  Always.


Steps to Reproduce:
1. Set up an EJB according to Lomboz documentation
2. Try to deploy it
3.
  
Actual results: java.lang.InternalError

Expected results: EJB should deploy successfully


Additional info:

Will append stack trace.

Comment 1 Jeremy Handcock 2004-02-26 20:19:51 UTC
Created attachment 98084 [details]
.log trace

stack trace

Comment 2 Jeremy Handcock 2004-03-16 17:57:30 UTC
I have a patch that fixes this, but I'm not *exactly* sure why it
works.  I'll keep fiddling with zlib and see if I can come up with an
explanation.

Comment 3 Jeremy Handcock 2004-06-29 14:31:39 UTC
Created attachment 101507 [details]
natDeflater patch

This gcc libjava patch fixes this problem, but it is more of a workaround than
a real solution to the problem.  As such, I'm not comfortable with putting this
patch in the RHEL3 updates.  Instead, Lomboz will be required to run on top of
a JVM for EJB deployment to RHAPS.

I will try to produce a small, isolated test case for this problem and file it
upstream in gcc bugzilla.

Comment 4 Jay Turner 2004-09-02 05:32:33 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-365.html



Note You need to log in before you can comment on or make changes to this bug.